#!/bin/bash

mkdir -p ../../data/{logs,database,automata}

chown -R 1001 ../../data

if [[ "$OSTYPE" == "linux-gnu"* ]]; then
    cp .env.linux ../.env
elif [[ "$OSTYPE" == "darwin"* ]]; then
    cp .env.mac ../.env
else
    echo "Unknown OS"
fi